---
title: Guide du contributeur
template: docs
taxonomy:
    category: docs
routes:
  default: '/contributordoc'
---

* [Liste des façons de contribuer à YunoHost](/contribute)
* [Salons de discussion](/chat_rooms)
* [Écrire de la documentation](/write_documentation)
  *  [Guide de rédaction de la documentation](/doc_writing_guide)
  *  [Guide Markdown](/doc_markdown_guide)
  *  [Propulser son code avec Git & GitHub](/doc_use_git)
  *  [Trame pour la rédaction des pages de documentations](/app_writing_guide)
* Packaging d'application
   * [Liste d'applications souhaitées par la communauté (en)](/apps_wishlist)
   * [Introduction générale au packaging d'apps](/packaging_apps_start)
   * [Introduction technique au packaging d'apps](/packaging_apps)
   * [Comment utiliser Git pour packager les applications](/packaging_apps_git)
   * [Déployer un environnement de développement avec VirtualBox](/packaging_apps_virtualbox)
   * [Manifest](/packaging_apps_manifest)
   * [Scripts](/packaging_apps_scripts)
   * [Gestion des arguments](/packaging_apps_arguments_management)
   * [Format des arguments (en)](/packaging_apps_arguments_format)
   * [Configuration NGINX](/packaging_apps_nginx_conf)
   * [Groupes et permissions](/groups_and_permissions)
   * [Multi-instance](/packaging_apps_multiinstance)
   * [Fonctions utiles (en)](/packaging_apps_helpers)
   * [Utilisation de 'trap'](/packaging_apps_trap)
   * [App permissions (en)](/packaging_apps_permissions)
   * [Ajouter son application à la liste des apps (en)](https://github.com/YunoHost/Apps/#contributing)
   * [Feature de packaging avancées (en)](/packaging_apps_advanced)
       * [Actions pour une application (en)](/packaging_apps_actions)
       * [Panneau de configuration pour une application (en)](/packaging_apps_config_panel)
   * Tests de qualité
       * [Package linter (en)](https://github.com/YunoHost/package_linter)
       * [Package check (en)](https://github.com/YunoHost/package_check)
       * [Niveaux des applications](/packaging_apps_levels)
       * [Intégration continue des apps (en)](https://ci-apps.yunohost.org)
       * [Tableau de bord du CI des apps (en)](https://dash.yunohost.org/appci/branch/stable)
       * [Intégration continue pour packagers (en)](/packaging_apps_ci)
       * [YEP - YunoHost Enhancement Proposals](/packaging_apps_guidelines)
* [Contribuer à la partie "core" de YunoHost](/dev)
   * [Déployer un environnement de dev avec ynh-dev (en)](https://github.com/YunoHost/ynh-dev/blob/master/README.md)
   * [Construction des paquets Debian (en)](https://github.com/YunoHost/vinaigrette/blob/master/README.md)
   * [Feuilles de route du projet (en)](https://github.com/YunoHost/issues/milestones?direction=asc&sort=title&state=open)
   * Construction des images
       * [x86 ISO (en)](https://github.com/YunoHost/cd_build)
       * [Images Raspberry Pi (en)](https://github.com/YunoHost/rpi-image)
       * [Autres images pour cartes ARM (en)](https://github.com/YunoHost/arm-images)
* [Utiliser l'API YunoHost en dehors de la webadmin](/admin_api)
* [Une discussion sur la portée des variables en bash](/shell_variables_scope)
